## konversation 1.7.5

=== data/CMakeLists.txt ===

add_subdirectory(images)
add_subdirectory(scripts)
add_subdirectory(scripting_support)


########### install files ###############

install(PROGRAMS   org.kde.konversation.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES   konversationui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/konversation)
install(FILES   konversation.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
install(FILES   updaters/konversation.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
install(PROGRAMS updaters/konversation-0.19-colors.pl
                updaters/konversation-0.19-sortorder.pl
                updaters/konversation-0.19-appearance.pl
                updaters/konversation-0.19-tabplacement.pl
                updaters/konversation-0.19-custombrowser.pl
                updaters/konversation-0.19-colorcodes.pl
                updaters/konversation-0.19-notifylists.pl
                updaters/konversation-0.20-quickbuttons.pl
                updaters/konversation-0.20-customfonts.pl
                DESTINATION ${DATA_INSTALL_DIR}/kconf_update)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.konversation.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/CMakeLists.txt ===
include(ECMAddAppIcon)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
include_directories(config dcc irc viewer upnp)

set(core_SRCS
    #====================================
    #=== Application
    config/preferences.cpp
    application.cpp
    dbus.cpp
    mainwindow.cpp
    main.cpp
    common.cpp
    sound.cpp
    ssllabel.cpp
    statusbar.cpp
    bookmarkhandler.cpp
    scriptlauncher.cpp
    konsolepanel.cpp
    notificationhandler.cpp
    awaymanager.cpp
    connectionmanager.cpp
    connectionsettings.cpp
    identity.cpp
    identitydialog.cpp

    #=== GUI
    urlcatcher.cpp
    queuetuner.cpp
    quickconnectdialog.cpp
)

set (irc_SRCS
    #== IRC
    irc/server.cpp

    irc/query.cpp
    irc/channel.cpp
    irc/channellistpanel.cpp
    irc/channelnick.cpp
    irc/modebutton.cpp
    irc/joinchanneldialog.cpp
    irc/invitedialog.cpp
    irc/topichistorymodel.cpp

    irc/irccharsets.cpp

    irc/nick.cpp
    irc/nickinfo.cpp
    irc/nicklistview.cpp
    irc/nicksonline.cpp
    irc/nicksonlineitem.cpp

    #=== Server
    irc/inputfilter.cpp
    irc/outputfilter.cpp
    irc/outputfilterresolvejob.cpp
    irc/ircqueue.cpp
    irc/servergroupdialog.cpp
    irc/servergroupsettings.cpp
    irc/serverison.cpp
    irc/serverlistdialog.cpp
    irc/serverlistview.cpp
    irc/serversettings.cpp
)

ki18n_wrap_ui(irc_SRCS
    irc/channellistpanelui.ui
    irc/channeldialogui.ui
    irc/joinchannelui.ui
    irc/serverdialogui.ui
    irc/servergroupdialogui.ui
    irc/serverlistdialogui.ui
    irc/invitedialog.ui
)

    #=== Configuration dialog pages
set(config_SRCS
    config/configdialog.cpp
    config/settingsdialog.cpp
    config/alias_config.cpp
    config/autoreplace_config.cpp
    config/dcc_config.cpp
    config/highlight_config.cpp
    config/ignore_config.cpp
    config/nicklistbehavior_config.cpp
    config/osd_config.cpp
    config/tabs_config.cpp
    config/theme_config.cpp
    config/quickbuttons_config.cpp
    config/warnings_config.cpp
    config/connectionbehavior_config.cpp
    config/highlighttreewidget.cpp
)

ki18n_wrap_ui(config_SRCS
    config/alias_configui.ui
    config/autoreplace_configui.ui
    config/chatwindowappearance_config.ui
    config/chatwindowbehaviour_config.ui
    config/colorsappearance_config.ui
    config/connectionbehavior_config.ui
    config/dcc_configui.ui
    config/fontappearance_config.ui
    config/generalbehavior_configui.ui
    config/highlight_configui.ui
    config/ignore_configui.ui
    config/log_config.ui
    config/nicklistbehavior_configui.ui
    config/osd_configui.ui
    config/quickbuttons_configui.ui
    config/tabnotifications_config.ui
    config/tabs_configui.ui
    config/theme_configui.ui
    config/warnings_configui.ui
    config/watchednicknames_configui.ui
)

    #=== Viewer
set(viewer_SRCS
    viewer/ircinput.cpp
    viewer/ircview.cpp
    viewer/chatwindow.cpp
    viewer/rawlog.cpp
    viewer/statuspanel.cpp
    viewer/ircviewbox.cpp
    viewer/viewcontainer.cpp
    viewer/pasteeditor.cpp
    viewer/highlight.cpp
    viewer/highlightviewitem.cpp
    viewer/ignore.cpp
    viewer/ignorelistviewitem.cpp
    viewer/irccolorchooser.cpp
    viewer/logfilereader.cpp
    viewer/insertchardialog.cpp
    viewer/osd.cpp
    viewer/topiclabel.cpp
    viewer/awaylabel.cpp
    viewer/editnotifydialog.cpp
    viewer/emoticons.cpp
    viewer/images.cpp
    viewer/quickbutton.cpp
    viewer/searchbar.cpp
    viewer/irccontextmenus.cpp
    viewer/trayicon.cpp
    viewer/viewspringloader.cpp
    viewer/channeloptionsdialog.cpp
    viewer/topicedit.cpp
    viewer/topichistoryview.cpp
    viewer/viewtree.cpp
)

ki18n_wrap_ui(viewer_SRCS
    viewer/channeloptionsui.ui
    viewer/irccolorchooserui.ui
    viewer/pasteeditor.ui
)

     #=== DCC
set(dcc_SRCS
     dcc/chat.cpp
     dcc/chatcontainer.cpp
     dcc/dcccommon.cpp
     dcc/dccfiledialog.cpp
     dcc/recipientdialog.cpp
     dcc/resumedialog.cpp
     dcc/transfer.cpp
     dcc/transferdetailedinfopanel.cpp
     dcc/transfermanager.cpp
     dcc/transferpanel.cpp
     dcc/transferrecv.cpp
     dcc/transfersend.cpp
     dcc/transferlistmodel.cpp
     dcc/transferview.cpp
     dcc/whiteboard.cpp
     dcc/whiteboardcolorchooser.cpp
     dcc/whiteboardfontchooser.cpp
     dcc/whiteboardglobals.cpp
     dcc/whiteboardpaintarea.cpp
     dcc/whiteboardtoolbar.cpp
)

ki18n_wrap_ui(dcc_SRCS
     dcc/transferdetailedinfopanelui.ui
     dcc/transferdetailedtimeinfopanelui.ui
     dcc/whiteboardtoolbarui.ui
     dcc/whiteboardfontchooserui.ui
)

if (Qca-qt5_FOUND)
    set(cipher_SRCS
        cipher.cpp)
endif (Qca-qt5_FOUND)

set(upnp_SRCS
    upnp/soap.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
)

set (completed_SRCS ${core_SRCS} ${irc_SRCS} ${viewer_SRCS} ${config_SRCS} ${cipher_SRCS} ${upnp_SRCS} ${dcc_SRCS})
set (konversation_SRCS ${completed_SRCS})

ki18n_wrap_ui(konversation_SRCS
    identitydialog.ui
    queuetunerbase.ui
    viewer/searchbarbase.ui
)

kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/*apps-konversation.png")
ecm_add_app_icon(konversation_SRCS ICONS ${ICONS_SRCS})

add_executable(konversation ${konversation_SRCS})

target_link_libraries(konversation
    Qt5::Widgets
    KF5::Archive
    KF5::Bookmarks
    KF5::ConfigWidgets
    KF5::Crash
    KF5::Emoticons
    KF5::I18n
    KF5::IdleTime
    KF5::NotifyConfig
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::Parts
    KF5::Solid
    KF5::Wallet
    KF5::WidgetsAddons
    KF5::GlobalAccel
    KF5::DBusAddons
    KF5::CoreAddons
    KF5::Notifications
    KF5::WindowSystem
    KF5::IconThemes
    KF5::ItemViews
    Phonon::phonon4qt5)

if (Qca-qt5_FOUND)
    target_link_libraries(konversation qca-qt5)
endif ()
if (WIN32)
  target_link_libraries(konversation ws2_32) # for symbols from winsock2.h: ntohl, etc.
endif()

install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})

=== data/images/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 128-actions-konv_message.png  16-actions-konv_message.png  22-actions-konv_message.png  32-actions-konv_message.png  48-actions-konv_message.png  64-actions-konv_message.png 128-apps-konversation.png 16-apps-konversation.png 22-apps-konversation.png 32-apps-konversation.png 48-apps-konversation.png 64-apps-konversation.png DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

=== data/images/nickicons/CMakeLists.txt ===
add_subdirectory(alternative)
add_subdirectory(christmas)
add_subdirectory(classic)
add_subdirectory(default)
add_subdirectory(smiling)
add_subdirectory(square)
add_subdirectory(simplistic)
add_subdirectory(oxygen)

=== debian/changelog ===
konversation (1.7.5-3ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:06:06 +0100

konversation (1.7.5-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use python3 for the scripts (no changes necessary), use python3
      as the shebang.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Nov 2019 10:10:07 +0000

konversation (1.7.5-3) unstable; urgency=medium

  * Team upload.
  * Switch the Python scripts to Python 3: (Closes: #942112)
    - add the dh-python, and python3 build dependencies
    - use the python3 dh addon
    - invoke dh_python3 on the proper data directory in konversation-data
    - use the ${python3:Depends} substvar in konversation-data, removing the
      manual python3 recommend
  * Remove TODO.Debian, as the missing man page is an upstream issue.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Mon, 11 Nov 2019 19:49:13 +0100

konversation (1.7.5-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use python3 for the scripts (no changes necessary), use python3
      as the shebang and recommend python3 instead of python.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 23:08:06 +0000

konversation (1.7.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit 4d0036617becc26a76fd021138c98aceec4c7b53 to fix
    build with newer KF; patch upstream_Fix-build-with-Qt-5.13.patch.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 06:54:58 +0200

konversation (1.7.5-1ubuntu3) eoan; urgency=medium

  * Use python3 for the scripts (no changes necessary), use python3
    as the shebang and recommend python3 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 15:52:41 +0200

konversation (1.7.5-1ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:39:29 +0200

konversation (1.7.5-1ubuntu1) cosmic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - debian/control: Keep additional breaks/replaces on konversation-data.
    - Keep Kubuntu VCS fields, as we maintain our own packaging
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Jul 2018 13:51:36 +0100

konversation (1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Homepage to https.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Jun 2018 07:44:35 +0200

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: cmake (>= 2.6.2),
               debhelper-compat (= 12),
               dh-python,
               extra-cmake-modules (>= 1.2.0),
               gettext,
               libkf5archive-dev (>= 5.25.0),
               libkf5bookmarks-dev (>= 5.25.0),
               libkf5config-dev (>= 5.25.0),
               libkf5configwidgets-dev (>= 5.25.0),
               libkf5coreaddons-dev (>= 5.25.0),
               libkf5crash-dev (>= 5.25.0),
               libkf5dbusaddons-dev (>= 5.25.0),
               libkf5doctools-dev (>= 5.25.0),
               libkf5emoticons-dev (>= 5.25.0),
               libkf5globalaccel-dev (>= 5.25.0),
               libkf5i18n-dev (>= 5.25.0),
               libkf5iconthemes-dev (>= 5.25.0),
               libkf5idletime-dev (>= 5.25.0),
               libkf5kio-dev (>= 5.25.0),
               libkf5notifications-dev (>= 5.25.0),
               libkf5notifyconfig-dev (>= 5.25.0),
               libkf5parts-dev (>= 5.25.0),
               libkf5solid-dev (>= 5.25.0),
               libkf5wallet-dev (>= 5.25.0),
               libkf5widgetsaddons-dev (>= 5.25.0),
               libkf5windowsystem-dev (>= 5.25.0),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.6.60),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-kde-tools (>= 0.15.16),
               python3,
               qtbase5-dev (>= 5.5.0)
Standards-Version: 4.4.1
Homepage: https://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: konversation (>= ${source:Version})
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation

override_dh_strip:
	dh_strip --dbgsym-migration='konversation-dbg (<< 1.6-3~)'

override_dh_missing:
	dh_missing --fail-missing

%:
	dh  $@ --with kf5,python3

## konversation 1.7.5.1%2Brb2

=== debian/changelog ===
konversation (1.7.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 10:59:18 +0800

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: debhelper (>= 11~), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 1.2.0),
 qtbase5-dev (>= 5.5.0),
 libkf5archive-dev (>= 5.25.0),
 libkf5bookmarks-dev (>= 5.25.0),
 libkf5config-dev (>= 5.25.0),
 libkf5configwidgets-dev (>= 5.25.0),
 libkf5coreaddons-dev (>= 5.25.0),
 libkf5crash-dev (>= 5.25.0),
 libkf5doctools-dev (>= 5.25.0),
 libkf5emoticons-dev (>= 5.25.0),
 libkf5idletime-dev (>= 5.25.0),
 libkf5i18n-dev (>= 5.25.0),
 libkf5kio-dev (>= 5.25.0),
 libkf5notifyconfig-dev (>= 5.25.0),
 libkf5parts-dev (>= 5.25.0),
 libkf5solid-dev (>= 5.25.0),
 libkf5wallet-dev (>= 5.25.0),
 libkf5widgetsaddons-dev (>= 5.25.0),
 libkf5globalaccel-dev (>= 5.25.0),
 libkf5dbusaddons-dev (>= 5.25.0),
 libkf5notifications-dev (>= 5.25.0),
 libkf5windowsystem-dev (>= 5.25.0),
 libkf5iconthemes-dev (>= 5.25.0),
 libphonon4qt5-dev (>= 4.6.60),
 libphonon4qt5experimental-dev (>= 4.6.60),
 libqca-qt5-2-dev (>= 2.1.0),
Standards-Version: 4.1.4
Homepage: https://konversation.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/konversation.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/konversation

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: konversation (>= ${source:Version}), python
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KONVERSATION_BASE_VERSION once new features are added
set(KONVERSATION_BASE_VERSION "1.8")
set(KONVERSATION_VERSION "${KONVERSATION_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(konversation VERSION ${KONVERSATION_VERSION})

set (QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(CheckIncludeFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Network Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Archive
    Bookmarks
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    IdleTime
    NotifyConfig
    KIO
    Parts
    Wallet
    WidgetsAddons
    GlobalAccel
    DBusAddons
    NewStuff
    Notifications
    WindowSystem
    ItemViews
)

find_package(Phonon4Qt5 4.6.60 REQUIRED)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca/"
                       TYPE OPTIONAL)
check_include_file("stropts.h" HAVE_STROPTS_H)

set(HAVE_QCA2 ${Qca-qt5_FOUND})

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
# -DQT_NO_SIGNALS_SLOTS_KEYWORDS FIXME KF5 Port: QCA includes cause trouble.
  -DQT_NO_FOREACH
  -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include(ECMAddAppIcon)
-
+include(ECMQtDeclareLoggingCategory)
+
+include_directories(SYSTEM ${PHONON_INCLUDES})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
 include_directories(config dcc irc viewer upnp)
 
@@ -138,8 +140,8 @@
     viewer/topiclabel.cpp
     viewer/awaylabel.cpp
     viewer/editnotifydialog.cpp
-    viewer/emoticons.cpp
     viewer/images.cpp
+    viewer/nickiconset.cpp
     viewer/quickbutton.cpp
     viewer/searchbar.cpp
     viewer/irccontextmenus.cpp
@@ -211,6 +213,23 @@
 
 kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
 
+qt5_add_resources(konversation_SRCS
+    konversation.qrc
+)
+
+ecm_qt_declare_logging_category(konversation_SRCS
+    HEADER konversation_log.h
+    IDENTIFIER KONVERSATION_LOG
+    CATEGORY_NAME konversation
+    DESCRIPTION "Konversation"
+    EXPORT KONVERSATION
+)
+
+ecm_setup_version(${KONVERSATION_VERSION}
+    VARIABLE_PREFIX KONVI
+    VERSION_HEADER version.h
+)
+
 # Sets the icon on Windows and OSX
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/*apps-konversation.png")
 ecm_add_app_icon(konversation_SRCS ICONS ${ICONS_SRCS})
@@ -218,19 +237,18 @@
 add_executable(konversation ${konversation_SRCS})
 
 target_link_libraries(konversation
+    Qt5::Network
     Qt5::Widgets
     KF5::Archive
     KF5::Bookmarks
     KF5::ConfigWidgets
     KF5::Crash
-    KF5::Emoticons
     KF5::I18n
     KF5::IdleTime
     KF5::NotifyConfig
     KF5::KIOFileWidgets
     KF5::KIOWidgets
     KF5::Parts
-    KF5::Solid
     KF5::Wallet
     KF5::WidgetsAddons
     KF5::GlobalAccel
@@ -238,8 +256,8 @@
     KF5::CoreAddons
     KF5::Notifications
     KF5::WindowSystem
-    KF5::IconThemes
     KF5::ItemViews
+    KF5::NewStuff
     Phonon::phonon4qt5)
 
 if (Qca-qt5_FOUND)
@@ -249,4 +267,11 @@
   target_link_libraries(konversation ws2_32) # for symbols from winsock2.h: ntohl, etc.
 endif()
 
-install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})
+set_target_properties(konversation PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
+install(TARGETS konversation ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+
+ecm_qt_install_logging_categories(
+    EXPORT KONVERSATION
+    FILE konversation.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)

=== data/images/nickicons/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 add_subdirectory(christmas)
 add_subdirectory(classic)
 add_subdirectory(default)
+add_subdirectory(default-dark)
 add_subdirectory(smiling)
 add_subdirectory(square)
 add_subdirectory(simplistic)

=== debian/changelog ===
konversation (20.12.1-1) unstable; urgency=medium

  * Team upload.
  * Add upstream metadata.
  * Rewrite copyright information in DEP-5 machine readable format.
  * New upstream release (20.12.1).
  * Refresh patches.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 16:36:20 +0100

konversation (20.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream uses the release-service, so switch the watch file, and the GPG
    signing key to it.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update Vcs-* fields.
  * Switch Maintainer to Debian Qt/KDE Maintainers, with myself as Uploader;
    the former Uploaders are removed, as they have not done work in many years,
    thanks for your past work!
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.71.0
    - add libkf5newstuff-dev
    - remove libkf5emoticons-dev, libkf5solid-dev, and libkf5iconthemes-dev
  * Update the patches:
    - debian_dbug_autoreplace.diff: update to the upstream code
    - debian_channel.diff: refresh
  * Update/simplify install files.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 12:29:30 +0100

konversation (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Oct 2020 11:11:54 +0100

konversation (1.7.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Fix day-of-week for changelog entry 0.12pre13+cvs20031011-2.
  * Update standards version to 4.5.0, no changes needed.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.13.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Wed, 30 Sep 2020 07:37:21 +0200

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13), cmake (>= 3.5~),
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 5.71.0~),
 gettext,
 qtbase5-dev (>= 5.12.0~),
 libkf5archive-dev (>= 5.71.0~),
 libkf5bookmarks-dev (>= 5.71.0~),
 libkf5config-dev (>= 5.71.0~),
 libkf5configwidgets-dev (>= 5.71.0~),
 libkf5coreaddons-dev (>= 5.71.0~),
 libkf5crash-dev (>= 5.71.0~),
 libkf5doctools-dev (>= 5.71.0~),
 libkf5idletime-dev (>= 5.71.0~),
 libkf5i18n-dev (>= 5.71.0~),
 libkf5kio-dev (>= 5.71.0~),
 libkf5newstuff-dev (>= 5.71.0~),
 libkf5notifyconfig-dev (>= 5.71.0~),
 libkf5parts-dev (>= 5.71.0~),
 libkf5wallet-dev (>= 5.71.0~),
 libkf5widgetsaddons-dev (>= 5.71.0~),
 libkf5globalaccel-dev (>= 5.71.0~),
 libkf5dbusaddons-dev (>= 5.71.0~),
 libkf5notifications-dev (>= 5.71.0~),
 libkf5windowsystem-dev (>= 5.71.0~),
 libphonon4qt5-dev (>= 4.6.60),
 libphonon4qt5experimental-dev (>= 4.6.60),
 libqca-qt5-2-dev (>= 2.1.0),
 dh-python,
 python3:any,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konversation.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konversation

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: konversation (>= ${source:Version}),
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 20.12.3

=== debian/changelog ===
konversation (20.12.3-0ubuntu1.1) hirsute; urgency=medium

  * Switch default network to irc.libera.chat (LP: #1929378)

 -- Rik Mills <rikmills@kde.org>  Thu, 27 May 2021 11:00:55 +0100

konversation (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:24:21 +0000

konversation (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:57:48 +0000

konversation (20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 13:18:31 +0000

konversation (20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Dec 2020 15:28:05 +0000

konversation (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build deps according to cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:30:59 +0000

konversation (1.7.7-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Keep Kubuntu VCS fields.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Oct 2020 08:02:48 +0000

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5archive-dev (>= 5.71.0~),
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5globalaccel-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5idletime-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5newstuff-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5notifyconfig-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5wallet-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.6.60),
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-kde-tools (>= 0.15.16),
               python3:any,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: konversation (>= ${source:Version})
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 21.08.1

=== debian/changelog ===
konversation (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:52 +0100

konversation (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:05:59 +0100

konversation (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:59:50 +0100

konversation (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:22 +0100

konversation (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)
  * Update kubuntu_default-channels.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:08 +0100

konversation (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:06 +0100

konversation (21.04.1-0ubuntu2) impish; urgency=medium

  * Switch default network to irc.libera.chat (LP: #1929378)

 -- Rik Mills <rikmills@kde.org>  Mon, 24 May 2021 08:53:52 +0100

konversation (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:10:42 +0100

konversation (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:40:42 +0100

## konversation 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added
@@ -13,7 +13,7 @@
 project(konversation VERSION ${KONVERSATION_VERSION})
 
 set (QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.74.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -27,6 +27,11 @@
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Network Widgets)
+find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
+set_package_properties(Qt5X11Extras PROPERTIES
+    PURPOSE "Needed for startup activation handling on X11"
+    TYPE OPTIONAL
+)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     Archive
@@ -53,13 +58,18 @@
 
 find_package(Phonon4Qt5 4.6.60 REQUIRED)
 
-find_package(Qca-qt5 2.1.0)
+find_package(Qca-qt5 2.2.0)
 set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                        URL "https://download.kde.org/stable/qca/"
                        TYPE OPTIONAL)
 check_include_file("stropts.h" HAVE_STROPTS_H)
 
 set(HAVE_QCA2 ${Qca-qt5_FOUND})
+if(TARGET Qt5::X11Extras)
+    set(HAVE_X11 TRUE)
+else()
+    set(HAVE_X11 FALSE)
+endif()
 
 configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -71,7 +81,7 @@
   -DQT_NO_CAST_FROM_BYTEARRAY
   -DQT_NO_CAST_TO_ASCII
   -DQT_NO_CAST_FROM_ASCII
-# -DQT_NO_SIGNALS_SLOTS_KEYWORDS FIXME KF5 Port: QCA includes cause trouble.
+  -DQT_NO_KEYWORDS
   -DQT_NO_FOREACH
   -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
 )

=== data/CMakeLists.txt ===

add_subdirectory(images)
add_subdirectory(scripts)
add_subdirectory(scripting_support)


########### install files ###############

install(PROGRAMS   org.kde.konversation.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES   konversation.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
install(FILES   updaters/konversation.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS updaters/konversation-0.19-colors.pl
                updaters/konversation-0.19-sortorder.pl
                updaters/konversation-0.19-appearance.pl
                updaters/konversation-0.19-tabplacement.pl
                updaters/konversation-0.19-custombrowser.pl
                updaters/konversation-0.19-colorcodes.pl
                updaters/konversation-0.19-notifylists.pl
                updaters/konversation-0.20-quickbuttons.pl
                updaters/konversation-0.20-customfonts.pl
                DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(FILES org.kde.konversation.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES konversation_nicklist_theme.knsrc  DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,8 @@
     connectionsettings.cpp
     identity.cpp
     identitydialog.cpp
+
+    konversation.qrc
 
     #=== GUI
     urlcatcher.cpp
@@ -213,10 +215,6 @@
 
 kconfig_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)
 
-qt5_add_resources(konversation_SRCS
-    konversation.qrc
-)
-
 ecm_qt_declare_logging_category(konversation_SRCS
     HEADER konversation_log.h
     IDENTIFIER KONVERSATION_LOG
@@ -260,6 +258,10 @@
     KF5::NewStuff
     Phonon::phonon4qt5)
 
+if(TARGET Qt5::X11Extras)
+    target_link_libraries(konversation Qt5::X11Extras)
+endif()
+
 if (Qca-qt5_FOUND)
     target_link_libraries(konversation qca-qt5)
 endif ()

=== debian/changelog ===
konversation (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:21 +0000

konversation (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:20:56 +0000

konversation (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)
  * Build depend on libqt5x11extras5-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:28:46 +0000

konversation (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:25:58 +0000

konversation (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:09 +0000

konversation (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:45 +0000

konversation (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:43:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
@@ -30,6 +31,7 @@
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev (>= 4.6.60),
                libqca-qt5-2-dev (>= 2.1.0),
+               libqt5x11extras5-dev,
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.12.0~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_install:
 	dh_install
@@ -15,8 +15,5 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='konversation-dbg (<< 1.6-3~)'
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 %:
 	dh  $@ --with kf5,python3

## konversation 22.08.1

=== debian/changelog ===
konversation (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:43:37 +0100

konversation (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:08 +0100

konversation (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:30:52 +0100

konversation (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:15 +0100

konversation (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:11 +0100

konversation (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * New build depend on qtmultimedia5-dev
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:51:44 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.12.0~),
+               qtmultimedia5-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://konversation.kde.org/
